Bug 712063 - btrfs is dead slow due to fragmentation
btrfs is dead slow due to fragmentation
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
15
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Josef Bacik
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 689509
  Show dependency treegraph
 
Reported: 2011-06-09 07:59 EDT by Felipe Contreras
Modified: 2012-02-02 13:46 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-02 13:46:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 21562 None None None Never

  None (edit)
Description Felipe Contreras 2011-06-09 07:59:32 EDT
Just to track the upstream bug.

https://bugzilla.kernel.org/show_bug.cgi?id=21562
Comment 1 Felipe Contreras 2011-06-09 08:01:01 EDT
Unless anybody thinks a speed of 500kb/s is acceptable, this *must* be fixed before btrfs is the default fs.
Comment 2 Josef Bacik 2011-06-09 16:14:55 EDT
Mount -o auto-defrag with an upstream kernel.
Comment 3 Felipe Contreras 2011-06-09 16:24:53 EDT
(In reply to comment #2)
> Mount -o auto-defrag with an upstream kernel.

Mention that in the upstream bug report. Once it has been validated to fix the issue, the upstream bug can be closed _then_ this bug can be closed.

In the meantime, as far as we know, the issue remains there.

And BTW, does this means that auto-defrag would be enabled by default in Fedora?
Comment 4 Josef Bacik 2011-06-09 17:03:31 EDT
Yes the idea is that it will be turned on by default for fedora.
Comment 5 Chuck Ebbert 2011-06-24 07:08:29 EDT
(In reply to comment #4)
> Yes the idea is that it will be turned on by default for fedora.

Do you have a patch for rawhide so we can try it  there?
Comment 6 Felipe Contreras 2012-02-02 13:46:49 EST
I guess autodefrag does the trick.

Note You need to log in before you can comment on or make changes to this bug.